Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

python310-configobj-5.0.8-4.3 RPM for noarch

From OpenSuSE Ports Tumbleweed for noarch

Name: python310-configobj Distribution: openSUSE:Factory:zSystems
Version: 5.0.8 Vendor: openSUSE
Release: 4.3 Build date: Wed Jan 3 17:47:32 2024
Group: Development/Languages/Python Build host: reproducible
Size: 347029 Source RPM: python-configobj-5.0.8-4.3.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/DiffSK/configobj
Summary: Config file reading, writing and validation
ConfigObj is a simple but powerful config file reader and writer: an ini
file round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.
It has lots of other features though:

 * Nested sections (subsections), to any level
 * List values
 * Multiple line values
 * Full Unicode support
 * String interpolation (substitution)
 * Integrated with a powerful validation system
   - including automatic type checking/conversion
   - and allowing default values
   - repeated sections
 * All comments in the file are preserved
 * The order of keys/sections is preserved
 * Powerful ``unrepr`` mode for storing/retrieving Python data-types

Provides

Requires

License

BSD-3-Clause

Changelog

* Wed Jan 03 2024 Ben Greiner <code@bnavigator.de>
  - Remove six from the rpm requirements. Why would we have
    remove_six.patch in the first place if we still require it?
  - Enable unit tests
* Wed Jan 03 2024 Dirk Müller <dmueller@suse.com>
  - require setuptools
  - remove python2 logic, this makes no sense after
    "remove_six.patch"
* Wed Jul 05 2023 Matej Cepl <mcepl@suse.com>
  - Add remove_six.patch (gh#DiffSK/configobj#239) removing the
    need for six.
* Tue Jul 04 2023 Markéta Machová <mmachova@suse.com>
  - Add CVE-2023-26112.patch (bsc#1210070)
* Thu May 04 2023 Dirk Müller <dmueller@suse.com>
  - update to 5.0.8:
    * 5.0.7 originally did this work, but 5.0.8 fixes a regression
    * update testing to validate against python version 2.7 and
      3.5-3.11
    * update broken links / non-existent services and references
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
  - add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
  - Make calling of %{sle15modernpython} optional.
* Mon Jan 16 2023 Dirk Müller <dmueller@suse.com>
  - require setuptools
* Tue Dec 04 2018 Matej Cepl <mcepl@suse.com>
  - Remove superfluous devel dependency for noarch package
* Wed May 24 2017 toddrme2178@gmail.com
  - Implement single-spec version.
  - Fix source URL.

Files

/usr/lib/python3.10/site-packages/configobj
/usr/lib/python3.10/site-packages/configobj-5.0.8.dist-info
/usr/lib/python3.10/site-packages/configobj-5.0.8.dist-info/INSTALLER
/usr/lib/python3.10/site-packages/configobj-5.0.8.dist-info/LICENSE
/usr/lib/python3.10/site-packages/configobj-5.0.8.dist-info/METADATA
/usr/lib/python3.10/site-packages/configobj-5.0.8.dist-info/RECORD
/usr/lib/python3.10/site-packages/configobj-5.0.8.dist-info/REQUESTED
/usr/lib/python3.10/site-packages/configobj-5.0.8.dist-info/WHEEL
/usr/lib/python3.10/site-packages/configobj-5.0.8.dist-info/top_level.txt
/usr/lib/python3.10/site-packages/configobj/__init__.py
/usr/lib/python3.10/site-packages/configobj/__pycache__
/usr/lib/python3.10/site-packages/configobj/__pycache__/__init__.cpython-310.opt-1.pyc
/usr/lib/python3.10/site-packages/configobj/__pycache__/__init__.cpython-310.pyc
/usr/lib/python3.10/site-packages/configobj/__pycache__/_version.cpython-310.opt-1.pyc
/usr/lib/python3.10/site-packages/configobj/__pycache__/_version.cpython-310.pyc
/usr/lib/python3.10/site-packages/configobj/__pycache__/validate.cpython-310.opt-1.pyc
/usr/lib/python3.10/site-packages/configobj/__pycache__/validate.cpython-310.pyc
/usr/lib/python3.10/site-packages/configobj/_version.py
/usr/lib/python3.10/site-packages/configobj/validate.py
/usr/lib/python3.10/site-packages/validate
/usr/lib/python3.10/site-packages/validate/__init__.py
/usr/lib/python3.10/site-packages/validate/__pycache__
/usr/lib/python3.10/site-packages/validate/__pycache__/__init__.cpython-310.opt-1.pyc
/usr/lib/python3.10/site-packages/validate/__pycache__/__init__.cpython-310.pyc


Generated by rpm2html 1.8.1

Fabrice Bellet, Sun Jun 9 12:20:07 2024